name: bpnet
channels:
- bioconda
- pytorch
- conda-forge
- defaults
dependencies:
- python=3.6

# genomics
- pybedtools==0.7.10
- bedtools==2.27.1
- pybigwig>=0.3.10
- pysam==0.15.3
- genomelake==0.1.4

- pytorch  # optional for data-loading
- cython
- h5py==2.9.0
- numpy==1.18.5
- tqdm==4.46.1
- scipy==1.4.1
- statsmodels==0.11.1
- scikit-learn==0.21.3

- pandas==1.0.3
- fastparquet==0.4.0
- python-snappy

- nb_conda
- pip
- pip:
  - git+https://github.com/kundajelab/DeepExplain.git

  # ML & numerics
  - tensorflow>=1.7,<=1.14  # tensorflow-gpu==1.7 for gpu
  
  - kipoiseq==0.3.4
  - kipoi==0.6.25
  - joblib==0.15.1

  # bpnet package
  - .[dev,extras]  # install the local basepair package. All the other required pip packages are specified in the setup.py
